using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class MenuScript : MonoBehaviour
{
    // Start is called before the first frame update
    public void StartGame(bool humanwhite, bool humanblack)
    {
        GameObject.Find("AIWhois").GetComponent<AIWhoisScript>().isAI[-1] = !humanblack;
        GameObject.Find("AIWhois").GetComponent<AIWhoisScript>().isAI[1] = !humanwhite;
        SceneManager.LoadScene("SampleScene", LoadSceneMode.Single);
    }

    public void StartGameHH()
    {
        StartGame(true, true);
    }
    public void StartGameHA()
    {
        StartGame(true, false);
    }
    public void StartGameAH()
    {
        StartGame(false, true);
    }
    public void StartGameAA()
    {
        StartGame(false, false);
    }

    public void Exit()
    {
        Application.Quit();
    }
}
